Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.core
Class PooledTask

    java.lang.Object
      org.jboss.seam.core.PooledTask

    @Name(value="org.jboss.seam.core.pooledTask")
    @Scope(value=APPLICATION)
    @Install(precedence=0,
             dependencies="org.jboss.seam.core.jbpm")
    public class PooledTask

extends Object

Support for assigning tasks in the pooled task list.

Author:
  Gavin King
See Also:
  `TaskInstanceList`

Constructor Summary
`PooledTask()`

Method Summary
`String` | `assign(String actorId)` Assign the TaskInstance with the id passed in the request parameter named "taskId" to the given actor id.
`String` | `assignToCurrentActor()` Assign the TaskInstance with the id passed in the request parameter named "taskId" to the current actor.
`org.jbpm.taskmgmt.exe.TaskInstance` | `getTaskInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PooledTask

    public PooledTask()

Method Detail

### assignToCurrentActor

    @Transactional
    public String assignToCurrentActor()

  Assign the TaskInstance with the id passed in the request parameter named "taskId" to the current actor.

  Returns:
    a null outcome only if the task was not found
  See Also:
    `Actor`

### assign

    @Transactional
    public String assign(String actorId)

  Assign the TaskInstance with the id passed in the request parameter named "taskId" to the given actor id.

  Parameters:
    `actorId` - the jBPM actor id
  Returns:
    a null outcome only if the task was not found

### getTaskInstance

    @Transactional
    public org.jbpm.taskmgmt.exe.TaskInstance getTaskInstance()

  Returns:
    the TaskInstance with the id passed in the request parameter named "taskId".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD